do

local function get_aka_img(img)
  local url = 'http://img.akamaru.de/'..img..'.html'
  local res,code = http.request(url)
  if code ~= 200 then return "Fehler beim Abrufen von img.akamaru.de" end
  local url = string.match(res, "id=\"codedirect\" value%=\"(.-)\" onclick")
  return url
end

local function run(msg, matches)
  local receiver = get_receiver(msg)
  local img = matches[1]
  local url = get_aka_img(img)
  if string.ends(url, ".gif") then
    send_document_from_url(receiver, url)
  else
    send_photo_from_url(receiver, url)
  end
end

return {
    description = "Mirrored Bild bei Link auf Preview-Seite von img.akamaru.de", 
    usage = "Preview-Link von img.akamaru.de",
    patterns = {
      "https?://img.akamaru.de/(.*).html"
    }, 
    run = run 
}

--by Akamaru [https://ponywave.de]

end